- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends

# QDropEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 471 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QDropEvent:
[legend]

List of all members.

## Public Member Functions
| QDropEvent (const QPoint &pos, Qt::DropActions actions, const QMimeData *data, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers, Type type=Drop)
| ~QDropEvent ()
const QPoint & | pos () const
Qt::MouseButtons | mouseButtons () const
Qt::KeyboardModifiers | keyboardModifiers () const
Qt::DropActions | possibleActions () const
Qt::DropAction | proposedAction () const
void | acceptProposedAction ()
Qt::DropAction | dropAction () const
void | setDropAction (Qt::DropAction action)
QWidget * | source () const
const QMimeData * | mimeData () const
const char * | format (int n=0) const
QByteArray | encodedData (const char *) const
bool | provides (const char *) const
## Protected Attributes
QPoint | p
Qt::MouseButtons | mouseState
Qt::KeyboardModifiers | modState
Qt::DropActions | act
Qt::DropAction | drop_action
Qt::DropAction | default_action
const QMimeData * | mdata
QList< QByteArray > | fmts
## Friends
class | QApplication

## Constructor & Destructor Documentation

QDropEvent | ( | const QPoint & | pos,
|  | Qt::DropActions | actions,
|  | const QMimeData * | data,
|  | Qt::MouseButtons | buttons,
|  | Qt::KeyboardModifiers | modifiers,
|  | Type | type = `Drop`
| ) |  |

~QDropEvent | ( |  | ) |

## Member Function Documentation

const QPoint& pos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 481 of file qevent.h.

    { return p; }

Qt::MouseButtons mouseButtons | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 482 of file qevent.h.

    { return mouseState; }

Qt::KeyboardModifiers keyboardModifiers | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 483 of file qevent.h.

    { return modState; }

Qt::DropActions possibleActions | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 485 of file qevent.h.

    { return act; }

Qt::DropAction proposedAction | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 486 of file qevent.h.

    { return default_action; }

void acceptProposedAction | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 487 of file qevent.h.

    { drop_action = default_action; accept(); }

Qt::DropAction dropAction | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 489 of file qevent.h.

    { return drop_action; }

void setDropAction | ( | Qt::DropAction | action | ) |

Search for all occurrences

QWidget* source | ( |  | ) | const

Search for all occurrences

const QMimeData* mimeData | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 493 of file qevent.h.

    { return mdata; }

const char* format | ( | int | n = `0` | ) | const `[virtual]`

Search for all occurrences

Implements QMimeSource.

QByteArray encodedData | ( | const char * |  | ) | const `[virtual]`

Search for all occurrences

Implements QMimeSource.

bool provides | ( | const char * |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QMimeSource.

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Reimplemented in QDragMoveEvent.

Definition at line 513 of file qevent.h.

## Member Data Documentation

QPoint p `[protected]`

Search for all occurrences

Definition at line 514 of file qevent.h.

Qt::MouseButtons mouseState `[protected]`

Search for all occurrences

Definition at line 515 of file qevent.h.

Qt::KeyboardModifiers modState `[protected]`

Search for all occurrences

Definition at line 516 of file qevent.h.

Qt::DropActions act `[protected]`

Search for all occurrences

Definition at line 517 of file qevent.h.

Qt::DropAction drop_action `[protected]`

Search for all occurrences

Definition at line 518 of file qevent.h.

Qt::DropAction default_action `[protected]`

Search for all occurrences

Definition at line 519 of file qevent.h.

const QMimeData* mdata `[protected]`

Search for all occurrences

Definition at line 520 of file qevent.h.

QList<QByteArray> fmts `[mutable, protected]`

Search for all occurrences

Definition at line 521 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent
QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent QDropEvent